Bug 1361989 (CVE-2016-2837) - CVE-2016-2837 Mozilla: Buffer overflow in ClearKey Content Decryption Module (CDM) during video playback (MFSA 2016-77)
Summary: CVE-2016-2837 Mozilla: Buffer overflow in ClearKey Content Decryption Module ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-2837
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160802,reported=2...
Depends On:
Blocks: 1360577
TreeView+ depends on / blocked
 
Reported: 2016-08-01 06:37 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-06-08 21:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-23 05:34:18 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1551 normal SHIPPED_LIVE Critical: firefox security update 2016-08-03 12:06:43 UTC

Description Huzaifa S. Sidhpurwala 2016-08-01 06:37:21 UTC
An anonymous security researcher working with Trend Micro's Zero Day Initiative reported a buffer overflow in the ClearKey Content Decryption Module (CDM) used by the Encrypted Media Extensions (EME) API. This vulnerability can be triggered using a malformed video file due to incorrect error handling. This could allow arbitrary code execution if combined with a second vulnerability that allows an escape from the Gecko Media Plugin (GMP) sandbox. Without such a vulnerability, the buffer overflow is contained within the GMP sandbox and cannot be exploited.



External Reference:

https://www.mozilla.org/security/announce/2016/mfsa2016-77.html


Acknowledgements:

Name: the Mozilla project

Comment 1 errata-xmlrpc 2016-08-03 08:09:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2016:1551 https://rhn.redhat.com/errata/RHSA-2016-1551.html


Note You need to log in before you can comment on or make changes to this bug.